aboutsummaryrefslogtreecommitdiff
path: root/extras
diff options
context:
space:
mode:
authorMarco Poletti <poletti.marco@gmail.com>2019-12-22 15:08:41 -0800
committerMarco Poletti <poletti.marco@gmail.com>2019-12-22 15:08:48 -0800
commit0187d6ce3fbd6092e64f6244a8e5c29877314603 (patch)
treec5e7086d75a0bffddfd7aaba6b3694b1e91def30 /extras
parenta9a358e68dfe962125a9dfc5da1a6a80778e37c7 (diff)
downloadgoogle-fruit-0187d6ce3fbd6092e64f6244a8e5c29877314603.tar.gz
Make sure all brew-installed packages are linked in /usr/local. Some aren't by default. Hoping to fix a "clang-8 not found" build error when running tests under OS X.
Diffstat (limited to 'extras')
-rwxr-xr-xextras/scripts/travis_ci_install_osx.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/extras/scripts/travis_ci_install_osx.sh b/extras/scripts/travis_ci_install_osx.sh
index 0bef2b1..78f5cd2 100755
--- a/extras/scripts/travis_ci_install_osx.sh
+++ b/extras/scripts/travis_ci_install_osx.sh
@@ -4,6 +4,8 @@ set -e
install_brew_package() {
time (brew install "$@" || brew outdated "$1" || brew upgrade "$@")
+ # Some formulas are not linked into /usr/local by default, make sure they are.
+ time (brew link "$@" || true)
}
# For md5sum, timeout